package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class BahanProduk
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "BahanProduk_M")
public class BahanProdukVO extends BaseMasterVO {
	@Caption(value="Kode Bahan Produk")
	private Byte kdBahanProduk;

	public void setKdBahanProduk(Byte kdBahanProduk) {
		this.kdBahanProduk = kdBahanProduk;
	}

	@Column(name = "KdBahanProduk", nullable = false )
	public Byte getKdBahanProduk(){
		return this.kdBahanProduk;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokProdukFk")
	@Caption(value="Object Kelompok Produk")
	private KelompokProdukVO kelompokProduk;

	public void setKelompokProduk(KelompokProdukVO kelompokProduk) {
		this.kelompokProduk = kelompokProduk;
	}

	@Column(name = "KdKelompokProduk", nullable = true )
	public KelompokProdukVO getKelompokProduk(){
		return this.kelompokProduk;
	}

	@Column(name = "ObjectKelompokProdukFk", insertable=false,updatable=false)
	private Integer kelompokProdukId;

	@Caption(value="Nama Bahan Produk")
	private String namaBahanProduk;

	public void setNamaBahanProduk(String namaBahanProduk) {
		this.namaBahanProduk = namaBahanProduk;
	}

	@Column(name = "NamaBahanProduk", nullable = false , length = 30)
	public String getNamaBahanProduk(){
		return this.namaBahanProduk;
	}

	@Caption(value="QBahan Produk")
	private Byte qBahanProduk;

	public void setqBahanProduk(Byte qBahanProduk) {
		this.qBahanProduk = qBahanProduk;
	}

	@Column(name = "QBahanProduk", nullable = false )
	public Byte getqBahanProduk(){
		return this.qBahanProduk;
	}


}

